> ## Documentation Index
> Fetch the complete documentation index at: https://developers.lucca.fr/llms.txt
> Use this file to discover all available pages before exploring further.

# Get import user locations results

> Retrieve the results of the Import User Locations API request with the create parameter set to true.



## OpenAPI

````yaml /openapi-specs/timmi-office.yaml get /work-locations/public/api/imports/user-locations/results
openapi: 3.1.0
info:
  title: Lucca Office
  version: '1.0'
  description: >
    Welcome on the documentation for the Lucca Office API.


    Lucca Office indicates where the teams are, whether they are in the office,
    visiting a client or at home.

    This API allows you to retrieve this information, using 2 resources:

    * The WorkLocations, which describe possible work locations. These locations
    can be physical, like an office, but also abstract like remote work or
    travel.

    * The UserLocations, which inform the associated workLocation for an
    employee and a date.


    Currently it only supports GET methods to retrieve information.

    If you have any additional needs, you can address them to the Lucca support
    team, and we will review them.


    It is not conforming to the "v3 API" constraints. Main differences are:

    - All available fields are systematically returned. Fields sets may be
    differente between endpoints for resources collections and single resources.

    - Paging is controlled through page token and limit parameter.
  contact:
    name: API Support
    url: https://support.lucca.fr
    email: contact@luccasoftware.com
  license:
    name: Unlicensed
    url: https://www.luccasoftware.com
servers:
  - url: https://{host}
    description: Your Lucca account URL.
    variables:
      host:
        default: example.ilucca.net
        description: >-
          The URL of your dedicated Lucca account: `{account}.{env}.{region}`.


          Account reflects your company name. Env indicates the environment.
          Region depends on your server location.


          **Please, use your test or sandbox environments (and not your
          production env.) for testing purposes.**


          Environments:

          - `ilucca`: production environment for customers.

          - `ilucca-test`: test environment for customers.

          - `ilucca-demo`: demo environment for prospects.


          Regions:

          - `.ch` for Swiss located accounts.

          - `.net` for the others.


          Regarding sandboxes, the pattern differs:
          `https://{account}-{sandboxName}.sandbox.{server}.luccasoftware.com`,
          where:

          - `{sandboxName}` is automatically generated upon creation.

          - `{server}` may be "eu1", "eu2" or "ch1".
security: []
tags:
  - name: UserLocations
    description: Indicates where an employee is on a given date.
  - name: WorkLocations
    description: >-
      Represents the different types of work-locations an employee can work
      from.
  - name: Imports
    description: Imports useful for Office
paths:
  /work-locations/public/api/imports/user-locations/results:
    parameters:
      - $ref: '#/components/parameters/Authorization'
    get:
      tags:
        - Imports
      summary: Get import user locations results
      description: >-
        Retrieve the results of the Import User Locations API request with the
        create parameter set to true.
      operationId: get-office-api-imports-userLocations-results
      parameters:
        - schema:
            type: string
          in: query
          name: summaryId
          required: true
          description: Identifier of the import
      responses:
        '200':
          $ref: '#/components/responses/ResultsResponse'
components:
  parameters:
    Authorization:
      name: Authorization
      required: true
      description: 'API key. Value must be formatted like so: `lucca application={api_key}`.'
      in: header
      schema:
        type: string
  responses:
    ResultsResponse:
      description: Response of analysis on work location import
      content:
        application/json:
          schema:
            type: object
            properties:
              summaryId:
                type: string
              userLocationsCreatedSummary:
                type: object
                properties:
                  count:
                    type: integer
                    format: int32
                  descriptions:
                    type: array
                    items:
                      type: string
              userLocationsDeletedSummary:
                type: object
                properties:
                  count:
                    type: integer
                    format: int32
              globalErrorSummary:
                type: string
                format: nullable
              errorLines:
                type: array
                items:
                  type: object
                  properties:
                    line:
                      $ref: '#/components/schemas/ImportedLine'
                    lineNumber:
                      type: integer
                      format: int32
                    error:
                      type: string
              warningLines:
                type: array
                items:
                  type: object
                  properties:
                    line:
                      $ref: '#/components/schemas/ImportedLine'
                    lineNumber:
                      type: integer
                      format: int32
                    warning:
                      type: string
                    isConflict:
                      type: boolean
              errorFileUri:
                type: string
                format: nullable
          examples:
            AnalysisResponse:
              value:
                summaryId: 3fa85f64-5717-4562-b3fc-2c963f66afa6
                userLocationsCreatedSummary:
                  count: 42
                  descriptions:
                    - Created user location for Jean Dupont on 2025/09/15
                    - Updated user location for Marie Lefevre on 2025/09/16
                userLocationsDeletedSummary:
                  count: 2
                globalErrorSummary: 2 errors lines detected
                errorLines:
                  - line:
                      login: jsmith
                      firstname: John
                      lastname: Smith
                      worklocationName: Paris
                      areaName: B1
                      date: '2025-09-20'
                      position: FullDay
                      comment: ''
                      isDeletion: false
                    lineNumber: 3
                    error: User doesn't exist
                  - line:
                      login: adurand
                      firstname: Alice
                      lastname: Durand
                      worklocationName: Unavailable office
                      areaName: ''
                      date: '2025-09-21'
                      position: FirstHalf
                      comment: This is a comment
                      isDeletion: false
                    lineNumber: 4
                    error: User location doesn't exist
                warningLines:
                  - line:
                      login: pmartin
                      firstname: Pierre
                      lastname: Martin
                      worklocationName: ''
                      areaName: ''
                      date: '2025-09-22'
                      position: FullDay
                      comment: ''
                      isDeletion: true
                    lineNumber: 5
                    warning: This user location can create conflict with a day off
                    isConflict: true
                errorFileUri: >-
                  https://example.com/imports/errors/3fa85f64-5717-4562-b3fc-2c963f66afa6
  schemas:
    ImportedLine:
      type: object
      properties:
        login:
          type: string
        firstname:
          type: string
        lastname:
          type: string
        worklocationName:
          type: string
        areaName:
          type: string
        date:
          type: string
          format: date
        position:
          type: string
          enum:
            - FullDay
            - FirstHalf
            - SecondHalf
        comment:
          type: string
          format: nullable
        isDeletion:
          type: boolean
          default: false

````